[Session_Start: -Name='ORDER', -Expires='60', -UseAuto]

<!-- LOAD SERVICE PRICES -->
[Inline:
-Database="PagerServicePrices",
-Table="Retail Prices",
-Op="eq",
'serviceID'=$ServiceID,
-Search]

[Session_AddVariable: -Name='ORDER', 'Monthly']
[Variable: 'Monthly'=(Field: 'Monthly')]

[Session_AddVariable: -Name='ORDER', 'Activation']
[Variable: 'Activation'=(Field: 'Activation')]

[Session_AddVariable: -Name='ORDER', 'TotalRegions']
[Variable: 'TotalRegions'=(Math_Add: $CentralRegion, $MidwestRegion, $NortheastRegion, $SoutheastRegion, $WesternRegion)]

[Session_AddVariable: -Name='ORDER', 'SecondRegion_mo']
[If: $TotalRegions=='2']
[Variable: 'SecondRegion_mo'=(Field: 'SecondRegion')]
[Else]
[Variable: 'SecondRegion_mo'="0"]
[/If]

[Session_AddVariable: -Name='ORDER', 'Economy_mo']
[If: ($Economy)=="1"]
[Variable: 'Economy_mo'=(Field: 'Economy')]
[Else]
[Variable: 'Economy_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'Standard_mo']
[If: ($Standard)=="1"]
[Variable: 'Standard_mo'=(Field: 'Standard')]
[Else]
[Variable: 'Standard_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'Executive_mo']
[If: ($Executive)=="1"]
[Variable: 'Executive_mo'=(Field: 'Executive')]
[Else]
[Variable: 'Executive_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'Professional_mo']
[If: ($Professional)=="1"]
[Variable: 'Professional_mo'=(Field: 'Professional')]
[Else]
[Variable: 'Professional_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'SMS_mo']
[If: ($SMS)=="1"]
[Variable: 'SMS_mo'=(Field: 'SMS')]
[Else]
[Variable: 'SMS_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'MCC_mo']
[If: ($MCC)=="1"]
[Variable: 'MCC_mo'=(Field: 'MCC')]
[Else]
[Variable: 'MCC_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'Aliasing_mo']
[If: ($Aliasing)=="1"]
[Variable: 'Aliasing_mo'=(Field: 'Aliasing')]
[Else]
[Variable: 'Aliasing_mo'="0"]
[/If]

[Session_AddVariable: -Name='ORDER', 'Personal888']
[Session_AddVariable: -Name='ORDER', 'Personal888_mo']
[If: ($LocalAreaCode)=="800" || ($LocalAreaCode)=="888" || ($LocalAreaCode)=="877" || ($LocalAreaCode)=="866"]
[Variable: 'Personal888'="1"]
[Variable: 'Personal888_mo'=(Field: 'Personal888')]
[Else]
[Variable: 'Personal888'=""]
[Variable: 'Personal888_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'CustomGreeting_mo']
[If: ($CustomGreeting)=="1"]
[Variable: 'CustomGreeting_mo'=(Field: 'CustomGreeting')]
[Else]
[Variable: 'CustomGreeting_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'NumericRetrieval_mo']
[If: ($NumRetrieval)=="1"]
[Variable: 'NumericRetrieval_mo'=(Field: 'NumericRetrieval')]
[Else]
[Variable: 'NumericRetrieval_mo'="0"]
[/If]


[Session_AddVariable: -Name='ORDER', 'XCovOne_mo']
[If: ($XCovOne)=="1"]
[Variable: 'XCovOne_mo'=(Field: 'XCovOne')]
[Else]
[Variable: 'XCovOne_mo'="0"]
[/If]

[Session_AddVariable: -Name='ORDER', 'XCovMulti_mo']
[If: ($XCovMulti)=="1"]
[Variable: 'XCovMulti_mo'=(Field: 'XCovMulti')]
[Else]
[Variable: 'XCovMulti_mo'="0"]
[/If]

[Session_AddVariable: -Name='ORDER', 'Processing']
[Variable: 'Processing'=(Field: 'ProcessingCharge')]

[Session_AddVariable: -Name='ORDER', 'Shipping']
[If: $ShippingType=="Express"]
[Variable: 'Shipping'="30"]
[Else]
[Variable: 'Shipping'="0"]
[/If]

[Session_AddVariable: -Name='ORDER', 'TaxRate']
[Variable: 'TaxRate'=(Field: 'TaxRate')]


[/Inline]

<!-- LOAD PAGER PRICES -->
[If: $Qty1>='1']
[Inline:
-Database="PagerPrices",
-Table="Pagers",
-Op="eq",
'Model'=$Order1,
'Active'="1",
-Search]

[Session_AddVariable: -Name='ORDER', 'Each1']
[Variable: 'Each1'=(Field: 'PagerPrice')]

[Session_AddVariable: -Name='ORDER', 'Desc1']
[Variable: 'Desc1'=(Field: 'PagerDesc')]

[Session_AddVariable: -Name='ORDER', 'Total1']
[Variable: 'Total1'=(Math_Mult: $Each1, $Qty1)]

[/Inline]
[Else]
[Session_AddVariable: -Name='ORDER', 'Each1']
[Variable: 'Each1'="0"]

[Session_AddVariable: -Name='ORDER', 'Desc1']
[Variable: 'Desc1'=""]

[Session_AddVariable: -Name='ORDER', 'Total1']
[Variable: 'Total1'="0"]
[/If]

[If: $Qty2>='1']
[Inline:
-Database="PagerPrices",
-Table="Pagers",
-Op="eq",
'Model'=$Order2,
'Active'="1",
-Search]

[Session_AddVariable: -Name='ORDER', 'Each2']
[Variable: 'Each2'=(Field: 'PagerPrice')]

[Session_AddVariable: -Name='ORDER', 'Desc2']
[Variable: 'Desc2'=(Field: 'PagerDesc')]

[Session_AddVariable: -Name='ORDER', 'Total2']
[Variable: 'Total2'=(Math_Mult: $Each2, $Qty2)]

[/Inline]
[Else]
[Session_AddVariable: -Name='ORDER', 'Each2']
[Variable: 'Each2'="0"]

[Session_AddVariable: -Name='ORDER', 'Desc2']
[Variable: 'Desc2'=""]

[Session_AddVariable: -Name='ORDER', 'Total2']
[Variable: 'Total2'="0"]
[/If]

[If: $Qty3>='1']
[Inline:
-Database="PagerPrices",
-Table="Pagers",
-Op="eq",
'Model'=$Order3,
'Active'="1",
-Search]

[Session_AddVariable: -Name='ORDER', 'Each3']
[Variable: 'Each3'=(Field: 'PagerPrice')]

[Session_AddVariable: -Name='ORDER', 'Desc3']
[Variable: 'Desc3'=(Field: 'PagerDesc')]

[Session_AddVariable: -Name='ORDER', 'Total3']
[Variable: 'Total3'=(Math_Mult: $Each3, $Qty3)]

[/Inline]
[Else]
[Session_AddVariable: -Name='ORDER', 'Each3']
[Variable: 'Each3'="0"]

[Session_AddVariable: -Name='ORDER', 'Desc3']
[Variable: 'Desc3'=""]

[Session_AddVariable: -Name='ORDER', 'Total3']
[Variable: 'Total3'="0"]
[/If]

<!-- TOTALS -->
[Session_AddVariable: -Name='ORDER', 'TotalQty']
[Variable: 'TotalQty'=(Math_Add: $Qty1, $Qty2, $Qty3)]

[Session_AddVariable: -Name='ORDER', 'Pager_SubTotal']
[Variable: 'Pager_SubTotal'=(Math_Add: $Total1, $Total2, $Total3)]

[Session_AddVariable: -Name='ORDER', 'Activation_total']
[Variable: 'Activation_total'=(Math_Mult: $Activation, $TotalQty)]

[Session_AddVariable: -Name='ORDER', 'SalesTax']
[If: $Taxable=="Yes"]
[Variable: 'SalesTax'=(Math_Mult: (Math_Add: $Pager_SubTotal, $Processing), $TaxRate)]
[Variable: 'SalesTax'=(Math_Round: $SalesTax, 0.01)]
[Else]
[Variable: 'SalesTax'="0"]
[/If]

[Session_AddVariable: -Name='ORDER', 'Monthly_SubTotal']
[Variable: 'Monthly_SubTotal'=(Math_Add: $Monthly, $SecondRegion_mo, $Economy_mo, $Standard_mo, $Executive_mo, $Professional_mo,
$SMS_mo, $MCC_mo, $Aliasing_mo, $Personal888_mo, $CustomGreeting_mo, $NumericRetrieval_mo, $XCovOne_mo, $XCovMulti_mo)]

[Variable: 'TotalMonthly'=(Math_Mult: $Monthly_SubTotal, 1.03)]
[Variable: 'TotalMonthly_display'=(Currency: $TotalMonthly)]

<!-- PRORATE -->
[If: $StartDateCC!="now"]
[Variable: 'ProRate'="0"]
[Else]
[Variable: 'TargetDate'=(Date)]
[$TargetDate->(Add: -Month='1')]

[$TargetDate=(Date: -Year=($TargetDate->Year),
  -Month=($TargetDate->Month),
  -Day=1)]

[Variable: 'ProRateDays'=((Date)->(Difference:($TargetDate), -Day))]
[$ProRateDays=(Math_Add: $ProRateDays, 1)]

[Variable: 'MonthDays'=(Date_Subtract: ($TargetDate), -Day=1)]
[$MonthDays=(Date: $MonthDays)->Day]
[Variable: 'ProRate'=(Math_Mult: $ProRateDays, (Math_Div: $Monthly_SubTotal, $MonthDays))]
[/If]
<!-- END -->

<!-- ORDER TOTAL -->
[Session_AddVariable: -Name='ORDER', 'ServiceTotal']
[Variable: 'ServiceTotal'=(Math_Mult: (Math_Add: (Math_Mult: $Monthly_SubTotal, $Term), $ProRate), $TotalQty)]

[Session_AddVariable: -Name='ORDER', 'USF']
[Variable: 'USF'=(Math_Mult: $ServiceTotal, .03)]
[Variable: 'USF'=(Math_Round: $USF, 0.01)]

[Session_AddVariable: -Name='ORDER', 'OrderTotal']
[Variable: 'OrderTotal'=(Math_Add: $ServiceTotal, $Pager_SubTotal, $SalesTax, $Activation_total, $USF, $Processing, $Shipping)]
<!-- END -->